import { IFilteringExpression } from './filtering-expression.interface';
import { IFilteringExpressionsTree } from './filtering-expressions-tree';
export interface IFilteringStrategy {
    filter(data: any[], expressionsTree: IFilteringExpressionsTree): any[];
}
export declare class FilteringStrategy implements IFilteringStrategy {
    filter<T>(data: T[], expressionsTree: IFilteringExpressionsTree): T[];
    findMatchByExpression(rec: object, expr: IFilteringExpression): boolean;
    matchRecord(rec: object, expressions: IFilteringExpressionsTree | IFilteringExpression): boolean;
}
